BizKitHub
DocsAPI ReferenceLedger/bff/ledger/account/create
postLedgerAdmin BFF

/bff/ledger/account/create

Create an analytic account

LedgerpostBffLedgerAccountCreate

Parameters

JSON body

Request body

application/json
entityIdstringRequired

Accounting entity external id.

Length: 16–24
codestringRequired
Length: 4–16
Example311.100
namestringRequired
Length: 1–255
normalSide"debit" | "credit" | nullOptional
One of 3:
Variant 1
"debit"
Variant 2
"credit"
Variant 3
null
currencystring | nullOptional
One of 2:
Variant 1
string
Length: 3–3
Variant 2
null
notestring | nullOptional
One of 2:
Variant 1
string
Variant 2
null

Response schema

1 status code documented

200Success
successbooleanRequired
idstringRequired

Response example

application/json
{
  "success": false,
  "id": "example_id"
}

Request example

POST /bff/ledger/account/create

post
curl -X POST "https://api.bizkithub.com/bff/ledger/account/create" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "entityId": "example_entityId",
  "code": "311.100",
  "name": "example_name"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key